import {SecretKey} from "./secretKey.js";
import {PublicKey} from "./publicKey.js";
import {Signature} from "./signature.js";
import {init, destroy} from "./context.js";
import {IBls} from "../types.js";
import {functionalInterfaceFactory} from "../functional.js";

export * from "../constants.js";

export {SecretKey, PublicKey, Signature, init, destroy};

export const bls = async (): Promise<IBls> => {
  await init();
  return {
    implementation: "herumi",
    SecretKey,
    PublicKey,
    Signature,

    ...functionalInterfaceFactory({SecretKey, PublicKey, Signature}),
  };
};
export default bls;
